/*
speciesgen
Copyright (C) 2022-2023  prisixia

This file is part of speciesgen.

speciesgen is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

speciesgen is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with speciesgen.  If not, see <https://www.gnu.org/licenses/>.
*/

/////////////////////////////////////////////////////////////////////////////
// Name:        types.cpp
// Purpose:     Implementation of Types
// Author:      prisixia
// Created:     2022-10-09
// Copyright:   (C) 2022-2023 prisixia
// Licence:     GNU General Public License version 3
/////////////////////////////////////////////////////////////////////////////

#ifndef SPECIESGEN_STARPOUNDS_SUBS_H
#define SPECIESGEN_STARPOUNDS_SUBS_H

#include <algorithm>
#include <string>

#include "magic_enum.hpp"

namespace Starpounds {
namespace Types {
enum class Chests { Chest = 0, Bust = 1, Belly = 2, Arms = 3 };

enum class Legs { Legs = 0, Body = 1 };

enum class Subs {
	Busty = 0,
	Milky = 1,
	Hyper = 2,
	Saturated = 3,
	Stuffed = 4,
	Packed = 5,
	Glutted = 6,
	Filled = 7,
	Gorged = 8
};

std::string AsString(const Subs);
std::string AsFriendly(const Subs);
Chests AsChest(const Subs);
} // namespace Types
} // namespace Starpounds

#endif // SPECIESGEN_STARPOUNDS_SUBS_H
