/*
speciesgen
Copyright (C) 2022-2023  prisixia

This file is part of speciesgen.

speciesgen is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

speciesgen is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with speciesgen.  If not, see <https://www.gnu.org/licenses/>.
*/

#include "starpounds/species.h"

namespace Starpounds {
SpeciesConfig::SpeciesConfig(const bool fullbright)
	: m_fullbright(fullbright) {}
SpeciesConfig::SpeciesConfig(const std::string _override, const bool fullbright)
	: m_fullbright(fullbright), m_override(_override) {}
SpeciesConfig::SpeciesConfig(const std::string _override,
							 const std::string overrideDirectives,
							 const bool fullbright)
	: m_fullbright(fullbright), m_override(_override),
	  m_overrideDirectives(overrideDirectives) {}

bool SpeciesConfig::GetFullbright() const { return m_fullbright; }
std::string SpeciesConfig::GetOverride() const { return m_override; }
std::string SpeciesConfig::GetOverrideDirectives() const {
	return m_overrideDirectives;
}

void SpeciesConfig::SetFullbright(const bool fullbright) {
	m_fullbright = fullbright;
}
void SpeciesConfig::SetOverride(const std::string _override) {
	m_override = _override;
}
void SpeciesConfig::SetOverrideDirectives(
	const std::string overrideDirectives) {
	m_overrideDirectives = overrideDirectives;
}
} // namespace Starpounds
